package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.dto.TenantInfoDto;
import com.keao.edu.user.entity.TenantInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TenantInfoDao extends BaseDAO<Integer, TenantInfo> {

    List<TenantInfoDto> queryTenants(Map<String, Object> params);

    List<TenantInfo> getTenants(@Param("ids") List<Integer> ids);

    int countTenants(Map<String, Object> params);

    /**
     * @describe 获取指定分部的机构信息
     * @author Joburgess
     * @date 2020.07.13
     * @param organId:
     * @return com.keao.edu.user.entity.TenantInfo
     */
    TenantInfo getWithOrgan(@Param("organId") Integer organId);
}
